PKEY_USAGE_PERIOD_NEW(3)

NAME
PKEY_USAGE_PERIOD_new, PKEY_USAGE_PERIOD_free - X.509 certificate private key usage period extension

SYNOPSIS
libcrypto
#include <openssl/x509v3.h>
PKEY_USAGE_PERIOD *
PKEY_USAGE_PERIOD_new(void);
void
PKEY_USAGE_PERIOD_free(PKEY_USAGE_PERIOD *period);

DESCRIPTION
PKEY_USAGE_PERIOD_new() allocates and initializes an empty PKEY_USAGE_PERIOD object, representing an ASN.1 PrivateKeyUsagePeriod structure defined in RFC 3280 section 4.2.1.4. It could be used in X509 certificates to specify a validity period for the private key that differed from the validity period of the certificate.

PKEY_USAGE_PERIOD_free() frees period.

RETURN VALUES
PKEY_USAGE_PERIOD_new() returns the new PKEY_USAGE_PERIOD object or NULL if an error occurs.

SEE ALSO
d2i_PKEY_USAGE_PERIOD(3), EXTENDED_KEY_USAGE_new(3), X509_CINF_new(3), X509_EXTENSION_new(3), X509_new(3)

STANDARDS
RFC 3280: Internet X.509 Public Key Infrastructure Certificate and Certificate Revocation List (CRL) Profile, section 4.2.1.4: Private Key Usage Period

RFC 3280 was obsoleted by RFC 5280, which says: "Section 4.2.1.4 in RFC 3280, which specified the PrivateKeyUsagePeriod certificate extension but deprecated its use, was removed. Use of this ISO standard extension is neither deprecated nor recommended for use in the Internet PKI."

HISTORY
PKEY_USAGE_PERIOD_new() and PKEY_USAGE_PERIOD_free() first appeared in OpenSSL 0.9.2b and have been available since OpenBSD 2.6.